Package Gnumed :: Package wxpython :: Module gmGuiMain |
[frames] | no frames]

# Module gmGuiMain

source code

GNUmed GUI client.

This contains the GUI application framework and main window of the all signing all dancing GNUmed Python Reference client. It relies on the <gnumed.py> launcher having set up the non-GUI-related runtime environment.

copyright: authors

Version: $Revision: 1.491 $

Author: H. Herb <hherb@gnumed.net>, K. Hilbert <Karsten.Hilbert@gmx.net>, I. Haywood <i.haywood@ugrad.unimelb.edu.au>

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| gmTopLevelFrame GNUmed client's main windows frame.
| gmApp

Functions
setup_safe_wxEndBusyCursor() | source code
main() | source code

Variables
| version = `int(u'%s%s' %(wx.MAJOR_VERSION, wx.MINOR_VERSION))`
| _ = `lambda x:`

Imports: sys, time, os, pyDT, shutil, logging, urllib2, subprocess, glob, wxversion, wx, gmCfg, gmPG2, gmDispatcher, gmGuiBroker, gmI18N, gmExceptions, gmShellAPI, gmTools, gmDateTime, gmHooks, gmBackendListener, gmCfg2, gmLog2, gmNetworkTools, gmPerson, gmClinicalRecord, gmSurgery, gmEMRStructItems, gmVaccination, gmArriba, gmStaff, gmPatientExporter, gmGuiHelpers, gmHorstSpace, gmEMRBrowser, gmDemographicsWidgets, gmEMRStructWidgets, gmPatSearchWidgets, gmAllergyWidgets, gmListWidgets, gmProviderInboxWidgets, gmCfgWidgets, gmExceptionHandlingWidgets, gmNarrativeWidgets, gmPhraseWheel, gmMedicationWidgets, gmStaffWidgets, gmDocumentWidgets, gmTimer, gmMeasurementWidgets, gmFormWidgets, gmSnellen, gmVaccWidgets, gmPersonContactWidgets, gmI18nWidgets, gmCodingWidgets, gmOrganizationWidgets, gmAuthWidgets, gmFamilyHistoryWidgets, gmDataPackWidgets, gmContactWidgets, gmAddressWidgets, gmBillingWidgets